<?php
/**
 * Twitter Memory
 * http://www.prelude-prod.fr
 *
 * @author Jean-François RENAULD
 * @version 1.0
 * Cette oeuvre est mise à disposition selon les termes de la Licence Creative Commons Paternité - Partage à l'Identique 3.0 non transcrit.
 * http://creativecommons.org/licenses/by-sa/3.0/deed.fr
 *
 * Si vous utilisez ce script, n'hésitez pas à faire un lien vers le site de Prélude Prod : http://www.prelude-prod.fr
 *
*/

//------------- gestion MySQL


/**
 * Ouverture de la base
 */
function openMySQL() {
	mysql_connect(gBaseHost, gBaseLogin, gBasePass) or die("Impossible de se connecter à la base de données");
	mysql_set_charset('utf8');
	mysql_select_db(gBaseName) or die("Impossible de se connecter à la base de données");
}


/** 
 * Protection des chaînes de caractères pour SQL
**/
function protection_mysql($value = '') {
	// Stripslashes
	if (get_magic_quotes_gpc()) {
		$value = stripslashes($value);
	}
	// Protection si ce n'est pas une valeur numérique ou une chaîne numérique
	if (!is_numeric($value)) {
		$value = mysql_real_escape_string($value);
	}
	return $value;
}


/**
 * récupère l'id du plus ancien tweet
**/
function getLastId() {
	$SQL = 'SELECT Id FROM '.gTableMemory.' ORDER BY Id LIMIT 0,1';
	$result = private_mysql_query($SQL);
	$nombreTweets = private_mysql_num_rows($result);
	if($nombreTweets > 0) {
		return private_mysql_result($result, 0, 'Id');

	} else {
		return FALSE;
	}
}


/**
 * récupère l'id du plus récent tweet
**/
function getFirstId() {
	$SQL = 'SELECT Id FROM '.gTableMemory.' ORDER BY Id DESC LIMIT 0,1';
	$resultat = private_mysql_query($SQL);
	$nombreResultat = private_mysql_num_rows($resultat);
	if($nombreResultat > 0) {
		return private_mysql_result($resultat, 0, 'Id');

	} else {
		return FALSE;
	}
}



/**
 * Sauvegarde d'un tweet
**/
function add($tweet = array()) {
	$SQL = 'INSERT INTO '.gTableMemory.' (';
	$SQL .= '`Id`, ';
	$SQL .= '`Date`, ';
	$SQL .= '`Text`';

	$SQL .= ') VALUES (';

	$SQL.= "'".protection_mysql($tweet['id'])."', ";
	$SQL.= "'".protection_mysql($tweet['date_format'])."', ";
	$SQL.= "'".protection_mysql($tweet['text'])."')";

	return private_mysql_query($SQL);
}


/**
 * surcouche de mysql_query
**/
function private_mysql_query($SQL = '') {
	return mysql_query($SQL);
}

/**
 * surcouche de mysql_num_rows
**/
function private_mysql_num_rows($result = NULL) {
	return mysql_num_rows($result);
}


/**
 * surcouche de mysql_result
**/
function private_mysql_result($result = NULL, $curseur = 0, $champs = '') {
	return mysql_result($result, $curseur, $champs);
}

/**
 * Fermeture de la base
 */
function closeMySQL() {
	@mysql_close();
}
